%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Python powerwidgets
Name: python-pmw
Version: 1.3.2
Release: 5%{?dist}
License: MIT and GPLv2+
Group: Development/Libraries
URL: http://pmw.sourceforge.net/
Source: http://downloads.sourceforge.net/pmw/Pmw.%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python-setuptools-devel
Requires: tkinter
BuildArchitectures: noarch

%description
Pmw is a toolkit for building high-level compound widgets in Python
using the Tkinter module. It consists of a set of base classes and a
library of flexible and extensible megawidgets built on this
foundation. These megawidgets include notebooks, comboboxes, selection
widgets, paned widgets, scrolled widgets and dialog windows.

%prep
%setup -q -n Pmw.%{version}

%build
cd src
%{__python} -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf %{buildroot}
cd src
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT
chmod 755 ${RPM_BUILD_ROOT}%{python_sitelib}/Pmw/Pmw_1_3/bin/bundlepmw.py
chmod 755 ${RPM_BUILD_ROOT}%{python_sitelib}/Pmw/Pmw_1_3/demos/All.py
chmod 755 ${RPM_BUILD_ROOT}%{python_sitelib}/Pmw/Pmw_1_3/tests/ManualTests.py
chmod 755 ${RPM_BUILD_ROOT}%{python_sitelib}/Pmw/Pmw_1_3/tests/All.py
rm -f ${RPM_BUILD_ROOT}%{python_sitelib}/Pmw/Pmw_1_3/tests/Test.py.~1.5.~

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc src/Pmw/Pmw_1_3/doc/
%{python_sitelib}/*egg-info
%{python_sitelib}/Pmw

%changelog
* Wed Oct 08 2008 Tim Fenn <fenn@stanford.edu> - 1.3.2-5
- remove python and python-devel from buildrequires/requires

* Sun Oct 05 2008 Tim Fenn <fenn@stanford.edu> - 1.3.2-4
- remove CFLAGS, minor fixes

* Thu Oct 02 2008 Tim Fenn <fenn@stanford.edu> - 1.3.2-3
- add doc to %%files, add egg-info, spec updates, change license

* Sun Sep 28 2008 Tim Fenn <fenn@stanford.edu> - 1.3.2-2
- fix build problems

* Fri Sep 12 2008 Tim Fenn <fenn@stanford.edu> - 1.3.2-1
- initial build
